<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>iPcSoundSource Struct Reference (CEL: Crystal Entity Layer 2.0 Public API Reference)</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<table border="0" cellpadding="0" cellspacing="0" width="100%" class="head">
 <tr height="59">
  <td class="head" width="202" valign="bottom" style="padding-left:0;"><a href="http://cel.crystalspace3d.org/"><img src="celblur.png" width="210" height="59" alt="CEL" border="0"></a></td>
  <td class="head"><h2>Public API Reference</h2></td>
 </tr>
 <tr height="11">
  <td colspan="2" class="headshadow" valign="top" style="padding-left:0;"><img src="celshadow.png" width="9" height="11" alt="" border="0"></td>
 </tr>
</table>
<div class="content">
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a>  </div>
  <div class="headertitle">
<div class="title">iPcSoundSource Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="iPcSoundSource" --><!-- doxytag: inherits="iBase" -->
<p>This is the sound source property class.  
 <a href="structiPcSoundSource.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="sound_8h_source.html">propclass/sound.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for iPcSoundSource:</div>
<div class="dyncontent">
 <div class="center">
  <img src="structiPcSoundSource.png" usemap="#iPcSoundSource_map" alt=""/>
  <map id="iPcSoundSource_map" name="iPcSoundSource_map">
<area doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiBase.html" alt="iBase" shape="rect" coords="0,0,107,24"/>
</map>
 </div></div>

<p><a href="structiPcSoundSource-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#ac99df42cba038be46009efd83773ba88">GetMode</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Return the mode for this sound.  <a href="#ac99df42cba038be46009efd83773ba88"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual const char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#aaa1921652676033793dcacf04bf8748a">GetSoundName</a> () const =0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the name of the sound wrapper that is used.  <a href="#aaa1921652676033793dcacf04bf8748a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSndSysSource.html">iSndSysSource</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#a6e62d546b862b600bb2f46a57daeca07">GetSoundSource</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the sound source.  <a href="#a6e62d546b862b600bb2f46a57daeca07"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#a41f82d091c493d8c9f0ef7b8e2ad5e37">Pause</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Pause sound.  <a href="#a41f82d091c493d8c9f0ef7b8e2ad5e37"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#a7b14d765ebfdd03c8d05b58bcd7b9dc8">Play</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Play sound.  <a href="#a7b14d765ebfdd03c8d05b58bcd7b9dc8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#a787ed1e060839b58b0de2edc13d7b382">SetMode</a> (const char *modename)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the mode for this sound.  <a href="#a787ed1e060839b58b0de2edc13d7b382"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#a31445fd0443fd9303210854baa8d2989">SetSoundName</a> (const char *name)=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the name of the sound wrapper to use.  <a href="#a31445fd0443fd9303210854baa8d2989"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#a043229eba7af73d247154799aa540418">Stop</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop sound.  <a href="#a043229eba7af73d247154799aa540418"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">virtual void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structiPcSoundSource.html#a3061dad19cc92efd289ffef3e8a6b58a">Unpause</a> ()=0</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Unpause sound.  <a href="#a3061dad19cc92efd289ffef3e8a6b58a"></a><br/></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p>This is the sound source property class. </p>
<p>This property class supports the following actions (add prefix 'cel.sound.source.action.' if you want to access this action through a message):</p>
<ul>
<li>Play: no parameters.</li>
<li>Stop: no parameters.</li>
<li>Pause: no parameters.</li>
<li>Unpause: no parameters.</li>
</ul>
<p>This property class supports the following properties:</p>
<ul>
<li>soundname (string, read/write): name of the sound that will be used.</li>
<li>volume (float, read/write): 0=off, 1=normal, &gt;1 is above normal.</li>
<li>directionalradiation (float, read/write): directional radiation.</li>
<li>position (vector3, read/write): position.</li>
<li>minimumdistance (float, read/write): minimum play distance.</li>
<li>maximumdistance (float, read/write): maximum play distance.</li>
<li>loop (bool, read/write): true=loop, false=don't loop.</li>
<li>follow (bool, read/write): follow own entity pcmesh (default off).</li>
<li>mode (string, read/write): one of 'disable', 'relative', or 'asbolute' (default 'disable'). This is the 3D mode of the sound source. </li>
</ul>

<p>Definition at line <a class="el" href="sound_8h_source.html#l00076">76</a> of file <a class="el" href="sound_8h_source.html">sound.h</a>.</p>
</div><hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="ac99df42cba038be46009efd83773ba88"></a><!-- doxytag: member="iPcSoundSource::GetMode" ref="ac99df42cba038be46009efd83773ba88" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcSoundSource.html#ac99df42cba038be46009efd83773ba88">iPcSoundSource::GetMode</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Return the mode for this sound. </p>
<p>One of 'disable', 'absolute', or 'relative'. </p>

</div>
</div>
<a class="anchor" id="aaa1921652676033793dcacf04bf8748a"></a><!-- doxytag: member="iPcSoundSource::GetSoundName" ref="aaa1921652676033793dcacf04bf8748a" args="() const =0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual const char* <a class="el" href="structiPcSoundSource.html#aaa1921652676033793dcacf04bf8748a">iPcSoundSource::GetSoundName</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const<code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the name of the sound wrapper that is used. </p>

</div>
</div>
<a class="anchor" id="a6e62d546b862b600bb2f46a57daeca07"></a><!-- doxytag: member="iPcSoundSource::GetSoundSource" ref="a6e62d546b862b600bb2f46a57daeca07" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual <a class="elRef" doxygen="crystalspace.tag:http://www.crystalspace3d.org/docs/online/api/" href="http://www.crystalspace3d.org/docs/online/api/structiSndSysSource.html">iSndSysSource</a>* <a class="el" href="structiPcSoundSource.html#a6e62d546b862b600bb2f46a57daeca07">iPcSoundSource::GetSoundSource</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Get the sound source. </p>

</div>
</div>
<a class="anchor" id="a41f82d091c493d8c9f0ef7b8e2ad5e37"></a><!-- doxytag: member="iPcSoundSource::Pause" ref="a41f82d091c493d8c9f0ef7b8e2ad5e37" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSoundSource.html#a41f82d091c493d8c9f0ef7b8e2ad5e37">iPcSoundSource::Pause</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Pause sound. </p>

</div>
</div>
<a class="anchor" id="a7b14d765ebfdd03c8d05b58bcd7b9dc8"></a><!-- doxytag: member="iPcSoundSource::Play" ref="a7b14d765ebfdd03c8d05b58bcd7b9dc8" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSoundSource.html#a7b14d765ebfdd03c8d05b58bcd7b9dc8">iPcSoundSource::Play</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Play sound. </p>

</div>
</div>
<a class="anchor" id="a787ed1e060839b58b0de2edc13d7b382"></a><!-- doxytag: member="iPcSoundSource::SetMode" ref="a787ed1e060839b58b0de2edc13d7b382" args="(const char *modename)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSoundSource.html#a787ed1e060839b58b0de2edc13d7b382">iPcSoundSource::SetMode</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>modename</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the mode for this sound. </p>
<p>Should be one of 'disable' (default), 'absolute', or 'relative'. </p>

</div>
</div>
<a class="anchor" id="a31445fd0443fd9303210854baa8d2989"></a><!-- doxytag: member="iPcSoundSource::SetSoundName" ref="a31445fd0443fd9303210854baa8d2989" args="(const char *name)=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSoundSource.html#a31445fd0443fd9303210854baa8d2989">iPcSoundSource::SetSoundName</a> </td>
          <td>(</td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>name</em></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Set the name of the sound wrapper to use. </p>

</div>
</div>
<a class="anchor" id="a043229eba7af73d247154799aa540418"></a><!-- doxytag: member="iPcSoundSource::Stop" ref="a043229eba7af73d247154799aa540418" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSoundSource.html#a043229eba7af73d247154799aa540418">iPcSoundSource::Stop</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Stop sound. </p>

</div>
</div>
<a class="anchor" id="a3061dad19cc92efd289ffef3e8a6b58a"></a><!-- doxytag: member="iPcSoundSource::Unpause" ref="a3061dad19cc92efd289ffef3e8a6b58a" args="()=0" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">virtual void <a class="el" href="structiPcSoundSource.html#a3061dad19cc92efd289ffef3e8a6b58a">iPcSoundSource::Unpause</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td><code> [pure virtual]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Unpause sound. </p>

</div>
</div>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>propclass/<a class="el" href="sound_8h_source.html">sound.h</a></li>
</ul>
</div><!-- contents -->
<hr size="1"><address><small>Generated for CEL: Crystal Entity Layer 2.0 by 
<a href="http://www.doxygen.org/index.html">doxygen</a> 1.7.6.1 
</small></address> </div></body> </html>
